Package com.google.protobuf

## Enum WireFormat.JavaType

- java.lang.Object
- - java.lang.Enum<WireFormat.JavaType>
  - - com.google.protobuf.WireFormat.JavaType

All Implemented Interfaces:
  `java.io.Serializable`, `java.lang.Comparable<WireFormat.JavaType>`

Enclosing class:
  WireFormat

    public static enum WireFormat.JavaType
    extends java.lang.Enum<WireFormat.JavaType>

Lite equivalent to `Descriptors.FieldDescriptor.JavaType`. This is only here to support the lite runtime and should not be used by users.

### Enum Constant Summary

Enum Constants
`BOOLEAN`
`BYTE_STRING`
`DOUBLE`
`ENUM`
`FLOAT`
`INT`
`LONG`
`MESSAGE`
`STRING`

### Method Summary

All Methods Static Methods Concrete Methods
`static WireFormat.JavaType` `valueOf​(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static WireFormat.JavaType[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### INT

    public static final WireFormat.JavaType INT

#### LONG

    public static final WireFormat.JavaType LONG

#### FLOAT

    public static final WireFormat.JavaType FLOAT

#### DOUBLE

    public static final WireFormat.JavaType DOUBLE

#### BOOLEAN

    public static final WireFormat.JavaType BOOLEAN

#### STRING

    public static final WireFormat.JavaType STRING

#### BYTE_STRING

    public static final WireFormat.JavaType BYTE_STRING

#### ENUM

    public static final WireFormat.JavaType ENUM

#### MESSAGE

    public static final WireFormat.JavaType MESSAGE

### Method Detail

#### values

    public static WireFormat.JavaType[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (WireFormat.JavaType c : WireFormat.JavaType.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static WireFormat.JavaType valueOf​(java.lang.String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null